> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Check fulfillment

> Checking if fulfillment is available to the entered pincode based on shipping zones and inventories.



## OpenAPI

````yaml post /fulfillment/serviceability
openapi: 3.1.0
info:
  version: '1.0'
  title: CE Storefront APIs
  summary: Customer-facing e-commerce API for building exceptional shopping experiences
  description: >-
    Public-facing API for Commerce Engine storefronts, enabling seamless
    shopping experiences with product browsing, cart management, checkout
    processing, user accounts, and order tracking. Perfect for building web,
    mobile, and headless commerce applications.
  contact:
    name: Support
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
  license:
    url: https://www.commercengine.io/contact-us
    name: All Rights Reserved
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/storefront
    description: Staging Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: staging
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/storefront
    description: Prod Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: prod
security: []
tags:
  - name: Analytics
    description: Analytics
  - name: Auth
    description: auth
  - name: Campaigns
    description: Campaigns
  - name: Carts
    description: Carts
  - name: Catalog
    description: Catalog
  - name: Common
    description: Common
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Juspay
    description: Juspay Payments
  - name: KYC
    description: KYC
  - name: Marketplace
    description: Marketplace
  - name: Orders
    description: Orders
  - name: Others
    description: Others
  - name: Payments
    description: Payments
  - name: PayU
    description: PayU Payments
  - name: POS
    description: POS
  - name: Shipping
    description: Shipping
  - name: Store
    description: Store
  - name: Subscriptions
    description: Subscriptions
externalDocs:
  url: https://llm-docs.commercengine.io
  description: Commerce Engine API Reference Documentation
paths:
  /fulfillment/serviceability:
    post:
      tags:
        - Carts
      summary: Check fulfillment
      description: >-
        Checking if fulfillment is available to the entered pincode based on
        shipping zones and inventories.
      operationId: check-fulfillment
      parameters: []
      requestBody:
        description: Fulfillment check request
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/CartBasedFulfillmentCheck'
                - $ref: '#/components/schemas/ItemsBasedFulfillmentCheck'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - success
                  - content
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      is_serviceable:
                        type: boolean
                      unserviceable_items:
                        description: >-
                          List of unserviceable items if any. Empty array if all
                          items are serviceable.
                        type: array
                        items:
                          $ref: '#/components/schemas/UnserviceableItem'
                    required:
                      - is_serviceable
                    type: object
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - Authorization: []
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/operations/check-fulfillment
        description: API reference for the check-fulfillment operation
components:
  schemas:
    CartBasedFulfillmentCheck:
      title: CartBasedFulfillmentCheck
      type: object
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/schemas/CartBasedFulfillmentCheck
        description: API reference for the CartBasedFulfillmentCheck schema
      required:
        - delivery_pincode
        - cart_id
      properties:
        delivery_pincode:
          description: >-
            delivery pincode, if null, the fulfillment type will be
            collect-in-store
          type:
            - string
            - 'null'
        cart_id:
          type: string
        fulfillment_type:
          type: string
          enum:
            - delivery
            - collect-in-store
    ItemsBasedFulfillmentCheck:
      title: ItemsBasedFulfillmentCheck
      type: object
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/schemas/ItemsBasedFulfillmentCheck
        description: API reference for the ItemsBasedFulfillmentCheck schema
      required:
        - delivery_pincode
        - items
      properties:
        delivery_pincode:
          description: >-
            delivery pincode, if null, the fulfillment type will be
            collect-in-store
          type:
            - string
            - 'null'
        items:
          type: array
          items:
            type: object
            properties:
              product_id:
                type: string
              variant_id:
                type:
                  - string
                  - 'null'
            required:
              - product_id
              - variant_id
        fulfillment_type:
          type: string
          enum:
            - delivery
            - collect-in-store
    UnserviceableItem:
      title: UnserviceableItem
      description: Unserviceable item model
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/UnserviceableItem
        description: API reference for the UnserviceableItem schema
      properties:
        product_id:
          type: string
        product_name:
          type: string
        product_image_url:
          type:
            - string
            - 'null'
        variant_id:
          type: string
        variant_name:
          type: string
        unserviceable_quantity:
          type: integer
        max_available_quantity:
          type: integer
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                x-speakeasy-error-message: true
              success:
                type: boolean
              code:
                type: string
              error:
                type: object
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                examples:
                  - Not authorized for given operation on the Resource.
                x-speakeasy-error-message: true
              success:
                type: boolean
                default: false
              code:
                type: string
                examples:
                  - unauthorized
    NotFound:
      description: Requested resource not found
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                x-speakeasy-error-message: true
              success:
                type: boolean
              code:
                type: string
  securitySchemes:
    Authorization:
      type: http
      description: Access token
      scheme: bearer

````